#include <iostream>
#include "date.h"

using namespace std;

int main()
{
  Date d{};
  Date* ptd{&d};

  cout << int(d.jour_)    << endl;
  cout << int(ptd->jour_) << endl;

  cout << "Jour (défaut):  " << int(d.jour_)     << endl;
  cout << "Mois (défaut):  " << int(d.mois_)     << endl;
  cout << "Annee (défaut): " << int(d.annee_)    << endl;

  cout << endl << "Jour" << endl;
  Jour j{Jour(7)};
  affiche_jour(j);
  affiche_jour(j, Langue::anglais);

  cout << endl << "Date.Jour" << endl;
  affiche_jour(d.jour_);
  affiche_jour(d.jour_, Langue::anglais);

  cout << endl << "ptDate->Jour" << endl;
  affiche_jour(ptd->jour_);
  affiche_jour(ptd->jour_, Langue::anglais);

  cout << endl << "Date" << endl;
  affiche_jour(d);
  affiche_jour(ptd);

  return 0;
}
